Show / Hide Table of Contents

# Class OpenIddictServerEvents.HandleIntrospectionRequestContext

Represents an event called for each validated introspection request to allow the user code to decide how the request should be handled.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.HandleIntrospectionRequestContext

##### Inherited Members

OpenIddictServerEvents.BaseValidatingContext.IsRejected
OpenIddictServerEvents.BaseValidatingContext.Error
OpenIddictServerEvents.BaseValidatingContext.ErrorDescription
OpenIddictServerEvents.BaseValidatingContext.ErrorUri
OpenIddictServerEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class HandleIntrospectionRequestContext : OpenIddictServerEvents.BaseValidatingContext

### Constructors

#### HandleIntrospectionRequestContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.HandleIntrospectionRequestContext class.

##### Declaration

    public HandleIntrospectionRequestContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Audiences

Gets the list of audiences returned to the caller as part of the "aud" claim, if applicable.

##### Declaration

    public HashSet<string> Audiences { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### Claims

Gets the additional claims returned to the caller.

##### Declaration

    public IDictionary<string, OpenIddictParameter> Claims { get; }

##### Property Value

Type | Description
--- | ---
IDictionary<System.String, OpenIddictParameter> |

#### ClientId

Gets or sets the "client_id" claim returned to the caller, if applicable.

##### Declaration

    public string ClientId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ExpiresAt

Gets or sets the "exp" claim returned to the caller, if applicable.

##### Declaration

    public DateTimeOffset? ExpiresAt { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

#### IssuedAt

Gets or sets the "iat" claim returned to the caller, if applicable.

##### Declaration

    public DateTimeOffset? IssuedAt { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

#### NotBefore

Gets or sets the "nbf" claim returned to the caller, if applicable.

##### Declaration

    public DateTimeOffset? NotBefore { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

#### Principal

Gets or sets the security principal extracted from the introspected token.

##### Declaration

    public ClaimsPrincipal? Principal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

#### Scopes

Gets the list of scopes returned to the caller as part of the "scope" claim, if applicable.

##### Declaration

    public HashSet<string> Scopes { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### Subject

Gets or sets the "sub" claim returned to the caller, if applicable.

##### Declaration

    public string Subject { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### TokenId

Gets or sets the "jti" claim returned to the caller, if applicable.

##### Declaration

    public string TokenId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### TokenType

Gets or sets the "token_type" claim returned to the caller, if applicable.

##### Declaration

    public string TokenType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### TokenUsage

Gets or sets the "token_usage" claim returned to the caller, if applicable.

##### Declaration

    public string TokenUsage { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Username

Gets or sets the "username" claim returned to the caller, if applicable.

##### Declaration

    public string Username { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |